## DMS Set User Lock Code

DMS Set User Lock Code

## Functions

QmiMessageDmsSetUserLockCodeInput * | qmi_message_dms_set_user_lock_code_input_new ()
QmiMessageDmsSetUserLockCodeInput * | qmi_message_dms_set_user_lock_code_input_ref ()
void | qmi_message_dms_set_user_lock_code_input_unref ()
gboolean | qmi_message_dms_set_user_lock_code_input_get_info ()
gboolean | qmi_message_dms_set_user_lock_code_input_set_info ()
QmiMessageDmsSetUserLockCodeOutput * | qmi_message_dms_set_user_lock_code_output_ref ()
void | qmi_message_dms_set_user_lock_code_output_unref ()
gboolean | qmi_message_dms_set_user_lock_code_output_get_result ()
void | qmi_client_dms_set_user_lock_code ()
QmiMessageDmsSetUserLockCodeOutput * | qmi_client_dms_set_user_lock_code_finish ()

## Types and Values

| QmiMessageDmsSetUserLockCodeInput
| QmiMessageDmsSetUserLockCodeOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsSetUserLockCodeInput
        ╰── QmiMessageDmsSetUserLockCodeOutput

## Description

## Functions

### qmi_message_dms_set_user_lock_code_input_new ()

    QmiMessageDmsSetUserLockCodeInput *
    qmi_message_dms_set_user_lock_code_input_new
                                   (void);

Allocates a new QmiMessageDmsSetUserLockCodeInput.

#### Returns

the newly created QmiMessageDmsSetUserLockCodeInput. The returned value should be freed with `qmi_message_dms_set_user_lock_code_input_unref()`.

Since: 1.0

### qmi_message_dms_set_user_lock_code_input_ref ()

    QmiMessageDmsSetUserLockCodeInput *
    qmi_message_dms_set_user_lock_code_input_ref
                                   (QmiMessageDmsSetUserLockCodeInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsSetUserLockCodeInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_set_user_lock_code_input_unref ()

    void
    qmi_message_dms_set_user_lock_code_input_unref
                                   (QmiMessageDmsSetUserLockCodeInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsSetUserLockCodeInput. |

Since: 1.0

### qmi_message_dms_set_user_lock_code_input_get_info ()

    gboolean
    qmi_message_dms_set_user_lock_code_input_get_info
                                   (QmiMessageDmsSetUserLockCodeInput *self,
                                    const gchar **value_info_old_code,
                                    const gchar **value_info_new_code,
                                    GError **error);

Get the 'Info' field from `self` .

#### Parameters

self | a QmiMessageDmsSetUserLockCodeInput. |
value_info_old_code | a placeholder for the output constant string, or `NULL` if not required. |
value_info_new_code | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_set_user_lock_code_input_set_info ()

    gboolean
    qmi_message_dms_set_user_lock_code_input_set_info
                                   (QmiMessageDmsSetUserLockCodeInput *self,
                                    const gchar *value_info_old_code,
                                    const gchar *value_info_new_code,
                                    GError **error);

Set the 'Info' field in the message.

#### Parameters

self | a QmiMessageDmsSetUserLockCodeInput. |
value_info_old_code | a constant string of exactly 4 characters. |
value_info_new_code | a constant string of exactly 4 characters. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_set_user_lock_code_output_ref ()

    QmiMessageDmsSetUserLockCodeOutput *
    qmi_message_dms_set_user_lock_code_output_ref
                                   (QmiMessageDmsSetUserLockCodeOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsSetUserLockCodeOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_set_user_lock_code_output_unref ()

    void
    qmi_message_dms_set_user_lock_code_output_unref
                                   (QmiMessageDmsSetUserLockCodeOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsSetUserLockCodeOutput. |

Since: 1.0

### qmi_message_dms_set_user_lock_code_output_get_result ()

    gboolean
    qmi_message_dms_set_user_lock_code_output_get_result
                                   (QmiMessageDmsSetUserLockCodeOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsSetUserLockCodeOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_client_dms_set_user_lock_code ()

    void
    qmi_client_dms_set_user_lock_code (QmiClientDms *self,
                                       QmiMessageDmsSetUserLockCodeInput *input,
                                       guint timeout,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously sends a Set User Lock Code request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_set_user_lock_code_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsSetUserLockCodeInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_set_user_lock_code_finish ()

    QmiMessageDmsSetUserLockCodeOutput *
    qmi_client_dms_set_user_lock_code_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_set_user_lock_code()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_set_user_lock_code()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsSetUserLockCodeOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_set_user_lock_code_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsSetUserLockCodeInput

    typedef struct _QmiMessageDmsSetUserLockCodeInput QmiMessageDmsSetUserLockCodeInput;

The QmiMessageDmsSetUserLockCodeInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageDmsSetUserLockCodeOutput

    typedef struct _QmiMessageDmsSetUserLockCodeOutput QmiMessageDmsSetUserLockCodeOutput;

The QmiMessageDmsSetUserLockCodeOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0